Bug 1443505 - [RFE] Pages do not refresh after idle session timeout
Summary: [RFE] Pages do not refresh after idle session timeout
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Authentication
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
low
low vote
Target Milestone: 6.4.0
Assignee: Marek Hulan
QA Contact: Roman Plevka
URL:
Whiteboard:
: 1511014 1515063 1583966 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-19 11:50 UTC by Marek Hulan
Modified: 2019-11-05 23:04 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:27:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:28:07 UTC
Foreman Issue Tracker 19315 None None None 2017-04-19 11:52:34 UTC

Description Marek Hulan 2017-04-19 11:50:17 UTC
Description of problem:

After user session expires, the JS should reload the page so all potential sensitive data are hidden.

Version-Release number of selected component (if applicable):

all

How reproducible:

100%

Steps to Reproduce:
1. keep your session expire
2. you can still see the page, e.g. host list


Actual results:

the page is not refreshed by JS


Expected results:

the page is refreshed afterwards so login form appears


Additional info:

Comment 2 Marek Hulan 2017-04-19 11:52:33 UTC
Created redmine issue http://projects.theforeman.org/issues/19315 from this bug

Comment 3 pm-sat@redhat.com 2017-06-14 08:02:04 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/19315 has been resolved.

Comment 4 Bryan Kearney 2017-12-11 13:53:50 UTC
*** Bug 1515063 has been marked as a duplicate of this bug. ***

Comment 5 Marek Hulan 2018-04-16 11:55:21 UTC
*** Bug 1511014 has been marked as a duplicate of this bug. ***

Comment 6 Marek Hulan 2018-06-04 07:52:12 UTC
*** Bug 1583966 has been marked as a duplicate of this bug. ***

Comment 7 Roman Plevka 2018-06-14 08:33:55 UTC
VERIFIED
on sat6.4.0-7

- set idle timeout to 1 minute
- tried hosts, settings and products pages
- js correctly refreshed the page and i ended up on the login page

- after re-login, the state was lost and i ended up on the default page, but i think this is by the design decision

Comment 9 errata-xmlrpc 2018-10-16 15:27:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.